Bug 807038 - Review Request: aspell-uk - Dictionary and affix files for the aspell programs for Ukrainian language.
Review Request: aspell-uk - Dictionary and affix files for the aspell program...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 16:17 EDT by Pavlo Rudyi
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavlo Rudyi 2012-03-26 16:17:21 EDT
Spec URL: https://github.com/paulcarroty/aspell-uk/blob/master/aspell-uk.spec
SRPM URL: https://github.com/paulcarroty/aspell-uk/blob/master/aspell-uk-1.6.5-2.src.rpm
Description: 
Hi all. I just finished packaging up aspell-uk, ukrainian dictionary for aspell. 
Strange that he is not present in Fedora.

Official site: http://sourceforge.net/projects/ispell-uk/
Comment 1 Jon Ciesla 2012-07-05 15:04:30 EDT
I'm a sponsor and will take a look, and consider sponsoring you.  Have you done any practice reviews?
Comment 2 Jon Ciesla 2012-07-05 15:16:58 EDT
- rpmlint checks return:

spell-uk.spec:15: W: unversioned-explicit-provides spell-%{languagecode}
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause update
problems and will make versioned dependencies, obsoletions and conflicts on
the provided thing useless -- make the Provides versioned if possible.

Fix.

aspell-uk.src: W: spelling-error %description -l en_US ukrainian -> Ukrainian
The value of this tag appears to be misspelled. Please double-check.

Fix.

aspell-uk.src: W: spelling-error %description -l en_US spellchecking -> spell checking, spell-checking, spellchecker
The value of this tag appears to be misspelled. Please double-check.

Ignore.

aspell-uk.src: W: file-size-mismatch spell-uk-1.6.5.tgz = 836332, http://freefr.dl.sourceforge.net/project/ispell-uk/spell-uk/1.6.5/spell-uk-1.6.5.tgz = 836333
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.

Fix.

aspell-uk.x86_64: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

Fix.

aspell-uk.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

Fix.

- package meets naming guidelines
- package meets packaging guidelines

See above.
Also, Source0 URL is incorrect:  https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

- license ( LGPLv3 ) OK, text in %doc, matches source

The Copyright file says GPLv2+ or LGPLv2+.

- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

That should get you started.
Comment 3 Jon Ciesla 2012-07-05 15:19:39 EDT
Also, please post the raw links to the spec and srpm going forward.
Comment 4 Fedora End Of Life 2013-01-16 18:28:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 20:53:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.